package com.ossDemo;

import java.io.FileOutputStream;
import java.io.IOException;

import com.silanis.esl.sdk.EslClient;
import com.silanis.esl.sdk.PackageId;

public class DownloadDocumentsService {

	public void download(String packageId) throws IOException{
		
		EslClient eslClient = new EslClient("API_KEY", "https://sandbox.esignlive.com/api");
		
		byte[] documents = eslClient.downloadZippedDocuments(new PackageId(packageId));
		
		FileOutputStream stream = new FileOutputStream("your_file_path\\documents_" + packageId + ".zip");
		
		try {
		    stream.write(documents);
		} finally {
		    stream.close();
		}
		
	}

}
